replicaCount: 2

datastore:
  engine: postgres
  uriSecret: prod-openfga-db-superuser
  migrationType: initContainer

ingress:
  enabled: true
  className: nginx
  annotations:
    cert-manager.io/cluster-issuer: letsencrypt-production
    nginx.ingress.kubernetes.io/ssl-redirect: "true"
  hosts:
    - host: openfga.srv.oceanbox.io
      paths:
        - path: /
          pathType: ImplementationSpecific
  tls:
   - secretName: prod-openfga-tls
     hosts:
       - openfga.srv.oceanbox.io

extraObjects:
 - apiVersion: postgresql.cnpg.io/v1
   kind: Cluster
   metadata:
     name: prod-openfga-db
     namespace: openfga
   spec:
     instances: 2
     imageName: ghcr.io/cloudnative-pg/postgresql:17-bookworm
     storage:
       resizeInUseVolumes: true
       size: 10Gi
     backup:
       retentionPolicy: 60d
       target: prefer-standby
